Subject: Implementation of <personality> in Compute API POST /servers requests

Description

Implement the <personality> element in POST /servers OpenStack Compute API requests, to allow the users to upload arbitrary files for

injection into VMs on server creation.

Investigate ways of passing the names and contents of these files to the Synnefo-specific Ganeti OS provider

(e.g., pickle, JSON dicts).

Related issues:

related to Synnefo - Feature # 1645: Support setting owner and mode in files ... Closed 11/11/2011 11/16/2011

related to Synnefo - Feature # 985: New parameters passed through the Ganeti ... Closed 08/03/2011

related to Synnefo - Feature # 1517: Support creation and management of SSH p... Closed 10/18/2011 11/11/2011

blocks Synnefo - Feature # 991: Extend Synnefo mechanism to support custom Im... Assigned 08/03/2011

blocks Synnefo - Feature # 491: Χειρισμός του συστήματος αρχείων νέων εικονικ... Closed 05/10/2011

Associated revisions

Revision 0419e0c1 - 09/22/2011 06:06 pm - Giorgos Verigakis

Placeholder for personality support

Just log a warning for now.

Refs #1093

Revision 2b1db26f - 09/22/2011 06:36 pm - Giorgos Verigakis

Send personality as a backend parameter

Use a JSON dump the follows OpenStack syntax (list of dictionaries with 'path' and 'contents' keys)

Contents are base64 encoded.
Revision e3b5be49 - 09/23/2011 12:39 pm - Giorgos Verigakis

Pass personality in osparams instead of beparams

Use 'img_personality' key inside osparams.

The format remains the same as before and follows OpenStack:

{{{

[{'path': '/path/to/file1', 'contents': 'base64-contents1'}, {'path': '/path/to/file2', 'contents': 'base64-contents2'}]

}}}
Revision fc443bcd - 09/23/2011 06:12 pm - Giorgos Verigakis

Add size limits for personality on server create

Refs #1093

History

#1 - 09/23/2011 02:03 pm - Vangelis Koukis

Please also limit the maximum number of files and the maximum size per file, making them configurable options.

Such limits are also mentioned by the OpenStack API spec.

#2 - 10/10/2011 02:20 pm - Vangelis Koukis

- Status changed from Assigned to Closed

Merged into master, closing ticket.
